# neutron_lib.api.validators.dns module

neutron_lib.api.validators.dns.validate_dns_domain(data, max_len=255)

  Validate DNS domain.

  Parameters:

    - data – The data to validate.

    - max_len – An optional cap on the length of the string.

  Returns:

    None if data is valid, otherwise a human readable message indicating why validation failed.

neutron_lib.api.validators.dns.validate_dns_name(data, max_len=255)

  Validate DNS name.

  This method validates dns name and also needs to have dns_domain in config because this may call a method which uses the config.

  Parameters:

    - data – The data to validate.

    - max_len – An optional cap on the length of the string.

  Returns:

    None if data is valid, otherwise a human readable message indicating why validation failed.

neutron_lib.api.validators.dns.validate_fip_dns_name(data, max_len=255)

  Validate DNS name for floating IP.

  Parameters:

    - data – The data to validate.

    - max_len – An optional cap on the length of the string.

  Returns:

    None if data is valid, otherwise a human readable message indicating why validation failed.

this page last updated: 2026-03-26 12:58:28

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug